### File

`packages/components/layout/eui-header/header-app/header-app.component.ts`

### Implements

`OnInit` `OnChanges` `OnDestroy`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-header-app`
templateUrl | `./header-app.component.html`
styleUrl | `./header-app.component.scss`

### Index

###### Properties
cssClass customAppName customAppNameLogo customAppSubtitle
###### Inputs
appName appShortName appSubTitle
###### HostBindings
class

### Inputs

appName
Type : `string`
Default value : `''`

appShortName
Type : `string`
Default value : `''`

appSubTitle
Type : `string`
Default value : `''`

### HostBindings

class
Type : `string`
Default value : `'eui-header-app'`

### Properties

cssClass
Type : `string`
Default value : `'eui-header-app'`
Decorators : `@HostBinding('class')`

customAppName
Type : `EuiHeaderAppNameComponent`
Decorators : `@ContentChild(undefined)`

customAppNameLogo
Type : `EuiHeaderAppNameLogoComponent`
Decorators : `@ContentChild(undefined)`

customAppSubtitle
Type : `EuiHeaderAppSubtitleComponent`
Decorators : `@ContentChild(undefined)`

# results matching ""

# No results matching ""